// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2018 Thomas Klose & Torsten Schache, Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.


using System;
using Hiperscan.Unix;

namespace Hiperscan.Extensions.ApoIdent
{
    public class BatchDeadLine
    {
        public enum DeadLineType
        {
            UseByDate,
            ShelfLife,
        }

        public static DeadLineType CurrentDeadLineType = DeadLineType.UseByDate;
        public static string GetNextDeadLineType()
        {
            int number_of_items = Enum.GetNames(typeof(DeadLineType)).Length - 1;
            int current = (int) BatchDeadLine.CurrentDeadLineType;
            if (current == number_of_items)
                current = 0;
            else
                current++;

            BatchDeadLine.CurrentDeadLineType = (DeadLineType) current;

            string value = String.Empty;
            switch(BatchDeadLine.CurrentDeadLineType)
            {

                case DeadLineType.UseByDate:
                    value = Catalog.GetString("Use-by date:");
                    break;

                case DeadLineType.ShelfLife:
                    value = Catalog.GetString("Shelf life:");
                    break;

                default:
                    break;

            }

            return value;
        }
    }
}
